package com.kingdee.eas.custom.dormitorysystem.application;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class RoomChangeApplicationFactory
{
    private RoomChangeApplicationFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.application.IRoomChangeApplication getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.IRoomChangeApplication)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("0CDEF948") ,com.kingdee.eas.custom.dormitorysystem.application.IRoomChangeApplication.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.application.IRoomChangeApplication getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.IRoomChangeApplication)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("0CDEF948") ,com.kingdee.eas.custom.dormitorysystem.application.IRoomChangeApplication.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.application.IRoomChangeApplication getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.IRoomChangeApplication)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("0CDEF948"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.application.IRoomChangeApplication getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.IRoomChangeApplication)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("0CDEF948"));
    }
}